CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   OpenFOAM-1.7.1 Installation on Fedora14 (http://www.cfd-online.com/Forums/openfoam-installation/109479-openfoam-1-7-1-installation-fedora14.html)

oceaney03 November 19, 2012 03:59

OpenFOAM-1.7.1 Installation on Fedora14
 
1 Attachment(s)
Hi Everybody,

When I install the OpenFOAM-1.7.1 and go to the step of ./Allwmake, there are some errors.

make : Target 'application' not remade because of errors.

And I attach the detail informations.
Any suggestion will be appreciated.

Best regards!

Oceaney

wyldckat November 19, 2012 18:21

Greetings Oceaney and welcome to the forum!

This has already been fixed in OpenFOAM 1.7.x: http://www.openfoam.org/mantisbt/view.php?id=15
If you still want to use OpenFOAM 1.7.1, you should apply this fix to it: https://github.com/OpenCFD/OpenFOAM-...f64468c3973429

Best regards,
Bruno

oceaney03 November 20, 2012 05:15

Dear Bruno,

Thanks for your suggestion, it works when I use 1.7.x, but I meet some other troubles in the next step ./makeParaView of installation.

Error: cannot find qmake either at $QMAKE_PATH or in current $PATH

I thought the qt is not installed, but it says 'qt-4.7.4-7.fc14.x86_64 already installed and latest version' when I do '# yum install qt'. So, what's the problem and how to fix it.

Kind regards~

Oceaney

wyldckat November 20, 2012 07:57

Hi Oceaney,

This should do the trick:
Code:

./makeParaView -qmake $(which qmake-qt4)
Best regards,
Bruno

oceaney03 November 21, 2012 05:44

Dear Bruno,

I typed this code, but it seems not work.
This is part of error information,
~~~~~~~~~~~~~~~~~~~~~~~~~~
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_QTASSISTANTCLIENT_INCLUDE_DIR (ADVANCED)
used as include directory in directory /root/OpenFOAM/ThirdParty-1.7.x/paraview-3.8.0/Qt/ApplicationComponents

-- Configuring incomplete, errors occurred!
Starting make
make: *** No targets specified and no makefile found. Stop.

real 0m0.007s
user 0m0.001s
sys 0m0.006s
Done make
Installing ParaView to /root/OpenFOAM/ThirdParty-1.7.x/platforms/linux64Gcc/paraview-3.8.0
make: *** No rule to make target `install'. Stop.
---
Installation complete for paraview-3.8.0
Set environment variables:

export ParaView_DIR=/root/OpenFOAM/ThirdParty-1.7.x/platforms/linux64Gcc/paraview-3.8.0
export PATH=$ParaView_DIR/bin:$PATH
export PV_PLUGIN_PATH=$FOAM_LIBBIN/paraview-3.8
---

Done
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
And then I find the old blog post and paste the code which mentioned in this post to my terminal window:
http://www.cfd-online.com/Forums/blo...-qt-4-6-3.html

But the problem still exist. Please help me.


Best regards,
Oceaney

wyldckat November 21, 2012 08:58

Hi Oceaney,

I haven't had time to confirm this, but you probably need the following packages:
Code:

qt-devel qt-webkit-devel
I.e. run as root:
Code:

yum install qt-devel qt-webkit-devel
Then try makeParaView once again!

Best regards,
Bruno

oceaney03 November 22, 2012 02:53

Dear Bruno,

It is not the problem of this packages.
I also tried the pre-built ParaView 3.8.0 version, and everything goes well, looks like, but at the end, I got:
____________
# paraFoam
created temporary 'cavity.foam'
paraview-real: cannot connect to X server
____________

So depressed!
I dont know how to do and hope you will help me when you have time.

Best regards!
Ocenaney

wyldckat November 22, 2012 04:59

Hi Oceaney,

Did you try searching with Google? ;)

Try these two commands:
Code:

export LIBGL_ALWAYS_INDIRECT=y
paraFoam

Best regards,
Bruno


All times are GMT -4. The time now is 08:55.